[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGObjectList.FreeObjects

Does the list own the objects or not?

## Declaration

Source position: fgl.pp line 202

`public property TFPGObjectList.FreeObjects : Boolean read FFreeObjects write FFreeObjects;`

## Description

FreeObjects indicates whether the list owns the objects or not. If set to True, freeing or clearing the list will remove all objects from memory by calling the destructor. Deleting or removing an item from the list will also dispose of the element.

The initial value for this property is set in the constructor and is True by default.

## See also

TFPGObjectList.FreeObjects |  | Does the list own the objects or not?